# $Revision: 1.15 $, $Date: 2007/05/22 16:16:27 $
Summary:	GNU implementation of JavaMail API specification
Summary(pl.UTF-8):	Implementacja GNU specyfikacji JavaMail
Name:		java-gnu-mail
Version:	1.1.2
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/classpathx/mail-%{version}.tar.gz
# Source0-md5:	0a94ff4328ceb6a4131be96946976a33
URL:		http://www.gnu.org/software/classpathx/javamail/javamail.html
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	java-gnu-activation
BuildRequires:	java-gnu-inetlib
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jre
Provides:	javamail = 1.3
BuildArch:	noarch
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664} noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU JavaMail is a free implementation of the JavaMail API
specification, version 1.3. All the code has been written from scratch
without reference to Sun's code, which allows GNU JavaMail to be used
on a completely free operating system such as GNU/Linux or the Hurd.
The code is optimized to work with free Java implementations, nothing
prevents it from being used with any compliant JVM.

%description -l pl.UTF-8
GNU JavaMail to wolnodostępna implementacja specyfikacji API JavaMail
w wersji 1.3. Cały kod został napisany od zera bez wykorzystania kodu
Suna, co pozwala na używanie GNU JavaMail w całkowicie wolnodostępnych
systemach, takich jak GNU/Linux czy Hurd. Kod został zoptymalizowany
pod kątem wolnodostępnych implementacji Javy, ale nic nie powstrzymuje
przed wykorzystaniem go z dowolnym zgodnym JVM-em.

%package javadoc
Summary:	API documentation for GNU JavaMail
Summary(pl.UTF-8):	Dokumentacja API GNU JavaMail
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	java-gnu-mail-doc

%description javadoc
API documentation for GNU JavaMail.

%description javadoc -l pl.UTF-8
Dokumentacja API GNU JavaMail.

%prep
%setup -q -n mail-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
unset CLASSPATH || :
export JAVAC=%{javac}
export JAVA=%{java}
%configure

%{__make}
%{__make} javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_javadir}/{gnumail.jar,gnumail-%{version}.jar}
mv $RPM_BUILD_ROOT%{_javadir}/{gnumail-providers.jar,gnumail-providers-%{version}.jar}
ln -s gnumail-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/gnumail.jar
ln -s gnumail-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/mail.jar
ln -s gnumail-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/mailapi.jar

install -d $RPM_BUILD_ROOT%{_javadir}/javamail
for prov in imap smtp pop3 nntp mbox maildir; do
	ln -s ../gnumail-providers-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/javamail/$prov.jar
done

cp -R docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README* source/javax/mail/*.html
%{_javadir}/*.jar
%dir %{_javadir}/javamail
%{_javadir}/javamail/*.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-gnu-mail.spec,v $
Revision 1.15  2007/05/22 16:16:27  qboosh
- updated to 1.1.2

Revision 1.14  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.12  2007/01/31 18:32:42  glen
- add protocol providers; rel 4

Revision 1.11  2006/12/08 01:19:45  glen
- -javadoc R: jpackage-utils for parent dirs; rel 3

Revision 1.10  2006/05/25 12:23:51  jajcus
- Release: 2
- jar location fixed

Revision 1.9  2006/05/25 12:16:04  qboosh
- Obsoletes for java-gnu-mail-doc

Revision 1.8  2006/05/25 12:00:33  jajcus
- BR: jpackage-utils
- javadoc moved to %{_javadocdir} in javadoc subpackage
- versioned jar, compatibility links

Revision 1.7  2006/05/23 20:34:37  glen
- rpmbuild(macros) >= 1.300 instead of macros.java rpm-javaprov

Revision 1.6  2006/05/23 16:31:16  qboosh
- pl

Revision 1.5  2006/05/21 20:24:29  glen
- use rpm-javaprov

Revision 1.4  2006/05/21 13:51:43  radek
- include macros.java, BR: jpackage-utils, use %java{,c} macros
- ln -s gnumail.jar javamail.jar (or should it be just mail.jar?)

Revision 1.3  2006/05/21 11:15:02  radek
- BR: java-gnu-activation

Revision 1.2  2006/05/21 11:02:10  radek
- ExclusiveArch: noarch (for ./builder)

Revision 1.1  2006/05/18 13:35:13  jajcus
- new spec
